=== debian/changelog ===
gkrellm-gkrellmpc (0.1~beta10-4) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Bump Standards-Version to 3.9.8 (no change needed)
  * Enable all hardening options
  * Fix a crash when adding tracks
  * Use secure Vcs-* fields

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 21:50:23 +0500

gkrellm-gkrellmpc (0.1~beta10-3) unstable; urgency=low

  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.4 (no change needed)
  * Add debian/watch
  * Use canonical anonscm.d.o URLs in the Vcs-* control fields
  * Update debian/copyright format URL and copyright years
  * Use DEB_LDFLAGS_MAINT_APPEND instead of exporting LDFLAGS in rules
  * Use LIBS, LDFLAGS and CPPFLAGS in the Makefile properly

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 25 Jun 2013 23:31:51 +0600

gkrellm-gkrellmpc (0.1~beta10-2) unstable; urgency=low

  * Upload to unstable
  * Change maintainer to pkg-mpd team
  * Bump Standards-Version to 3.9.2 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 16 Jul 2011 01:03:21 +0600

gkrellm-gkrellmpc (0.1~beta10-1) experimental; urgency=low

  * Initial release (Closes: #607445)

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 21 Dec 2010 22:20:22 +0500
