=== debian/control ===
Source: gkrellm-gkrellmpc
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper (>= 10), libcurl4-gnutls-dev, gkrellm (>= 2.0.0), libgtk2.0-dev, pkg-config
Standards-Version: 3.9.8
Homepage: http://mpd.wikia.com/wiki/Client:GKrellMPC
Vcs-Git: https://anonscm.debian.org/git/pkg-mpd/gkrellm-gkrellmpc.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mpd/gkrellm-gkrellmpc.git

Package: gkrellm-gkrellmpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gkrellm (>= 2.0.0)
Description: GKrellM plugin for controlling MPD
 This GKrellM plugin works as a client for Music Player Daemon (MPD). It shows
 the current song and allows one to control the playback and change the
 playlist.
